%define		qtver		4.8.1

Summary:	Phonon: multimedia API for Qt4/KDE4
Summary(pl.UTF-8):	Phonon - biblioteka multimedialna dla Qt4/KDE4
Name:		phonon
Version:	4.6.0
Release:	4
License:	LGPL v2.1 or LGPL v3
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/phonon/%{version}/src/%{name}-%{version}.tar.xz
# Source0-md5:	bbe0c1c62ed14c31479c4c1a6cf1e173
Patch0:		%{name}-pkg.patch
Patch1:		fix-plugindir-for-qt-app.patch
URL:		http://phonon.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.86
BuildRequires:	cmake >= 2.8.0
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libqzeitgeist-devel >= 0.8
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.21
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.603
Requires:	kde-common-dirs >= 0.5
Requires:	libqzeitgeist >= 0.8
Requires:	qt4-phonon-backend
Provides:	qt4-phonon
Obsoletes:	qt4-phonon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Phonon is the multimedia API for Qt4/KDE4.

Phonon was originally created to allow KDE 4 to be independent of any
single multimedia framework such as GStreamer or Xine and to provide a
stable API for KDE4's lifetime. It was done to fix problems of
frameworks becoming unmaintained, API instability, and to create a
simple multimedia API.

%description -l pl.UTF-8
Phonon to biblioteka multimedialna dla Qt4/KDE4.

Pierwotnie powstała, aby pozwolić na niezależność KDE 4 od konkretnego
środowiska multimedialnego, takiego jak GStreamer czy Xine, oraz
zapewnić stabilne API na cały czas życia KDE4. Została stworzona w
celu wyeliminowania problemów z porzucaniem bibliotek i
niestabilnością ich API, a także w celu stworzenia prostego API
multimedialnego.

%package devel
Summary:	Header files for Phonon library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Phonon
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= %{qtver}
Requires:	QtDBus-devel >= %{qtver}
Requires:	QtGui-devel >= %{qtver}
Provides:	qt4-phonon-devel
Obsoletes:	qt4-phonon-devel

%description devel
Header files for Phonon library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Phonon.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
install -d build
cd build
# disable designer plugin - currently packaged in QtDesigner package
%cmake .. \
	-DPHONON_BUILD_DESIGNER_PLUGIN=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/qt4
install -d $RPM_BUILD_ROOT%{_libdir}/kde4/plugins/phonon_backend
install -d $RPM_BUILD_ROOT%{_datadir}/kde4/services/phononbackends
ln -s ../phonon $RPM_BUILD_ROOT%{_includedir}/qt4/phonon
ln -s ../KDE/Phonon $RPM_BUILD_ROOT%{_includedir}/phonon/Phonon

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libphonon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libphonon.so.4
%attr(755,root,root) %{_libdir}/libphononexperimental.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libphononexperimental.so.4
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%dir %{_libdir}/kde4/plugins/phonon_backend
%dir %{_datadir}/kde4/services/phononbackends

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libphonon.so
%attr(755,root,root) %{_libdir}/libphononexperimental.so
%{_includedir}/phonon
%dir %{_includedir}/KDE
%{_includedir}/KDE/Phonon
%{_includedir}/qt4/phonon
%{_pkgconfigdir}/phonon.pc
%{_libdir}/cmake/phonon
%dir %{_datadir}/phonon
%{_datadir}/phonon/buildsystem
%{_datadir}/qt4/mkspecs/modules/qt_phonon.pri
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phonon.git;a=log;h=master

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> 90cdc94
Typo

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> 595a538
Require backend, not just suggest
Release 4

* Sun May 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fb39e77
- rel 3; fix plugin path (from archlinux)

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e9e8e5
- release 2

* Wed Dec 28 2011 Jakub Bogusz <qboosh@pld-linux.org> ac80537
- don't build QtDesigner plugin if not packaging it here (already built in qt)
- now libqzeitgeist 0.8 is required
- gstreamer and xine no longer used here
- package cmake files

* Sat Dec 24 2011 lisu <lisu@pld-linux.org> 03bc691
- package missing dir

* Sat Dec 24 2011 lisu <lisu@pld-linux.org> 61643aa
- fixed files

* Sat Dec 24 2011 lisu <lisu@pld-linux.org> 8282061
- updated to 4.6.0

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> f14ee50
- check-files cleanup

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aaf77d2
- up to 4.5.1

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 85decc2
- real pl
- use more recent cmake macro
- LGPL v3 is allowed too (beside LGPL v2.1)

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a77dbb
- back to main

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 45f83c7
- fetch from mirror, main kde.org broken

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f0f8a4
- rel 2; build with libqzeitgeist

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3809651
- up to 4.5.0

* Sat Jan 22 2011 shadzik <shadzik@pld-linux.org> 5d50300
- add %{_datadir}/kde4/services/phononbackends
- rel 3

* Sat Jan 22 2011 shadzik <shadzik@pld-linux.org> e144db6
- add %{_libdir}/kde4/plugins/phonon_backend
- rel 2

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 2c13f77
- newline for readability

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e09d576
- up to 4.4.4; backends are gone in this package, need to verify if were moved

* Thu Dec 23 2010 Elan Ruusamäe <glen@pld-linux.org> bbcd3cd
- note that it was originally created
- track sonames
- typo in requires

